Name: serioussam-vk
Version: 1.10.6d
Release: 1%{?dist}

Summary: Linux port of Serious Sam Classic with Vulkan support
License: GPLv2
SourceLicense: GPLv2+ with Bison-1.24 exception, GPLv2, Expat, Zlib
Group: Games

URL: https://github.com/tx00100xt/SeriousSamClassic-VK
BugURL: https://github.com/tx00100xt/SeriousSamClassic-VK/issues
# The archive from salsa.debian.org is used,
# which has been tested by licenserecon and lintian
Source0: https://salsa.debian.org/tx00100xt/%{name}/-/archive/%{version}+dfsg/%{name}-%{version}+dfsg.tar.gz
Patch1: 0001-serioussam-vk-desktop-file.patch
Patch2: 0002-serioussam-vk-CMakeLists.txt.patch
Patch3: 0003-serioussam-vk-Engine.cpp.patch
Patch4: 0004-serioussam-vk-Engine.h.patch
Patch5: 0005-serioussam-vk-Stream.patch
Patch6: 0006-serioussam-vk-Fix-spelling-error-in-binary.patch
Patch7: 0007-serioussam-vk-SeriousSam.cpp.patch
Patch8: 0008-serioussam-vk-Menu.cpp.patch
Patch9: 0009-serioussam-vk-Game.cpp.patch
Patch10: 0010-serioussam-vk-Adapter.cpp.patch
Patch11: 0011-serioussam-vk-Types.h.patch
Patch12: 0012-serioussam-vk-manpages.patch

BuildRequires: sed gawk cmake nasm bison flex zlib-devel libogg-devel libvorbis-devel
BuildRequires: gcc-c++ SDL2-devel ImageMagick vulkan-headers vulkan-loader-devel
Requires: SDL2 zlib libogg libvorbis mesa-vulkan-drivers vulkan-loader

%description
serioussam-vk is open source game engine version developed by Croteam for
Serious Sam Classic with Vulkan support, but it should work on 
(or be easily portable to) any system that supports Vulkan and SDL2.

Note that while the Serious Engine source code has been released under GPL, 
you still need to legally own the game and provide Serious Sam Classic 
the game data to play.

%prep
%autosetup -p1 -n %{name}-%{version}+dfsg

%build
%cmake
%cmake_build

%install
%cmake_install

%files
%license LICENSE
%{_bindir}/serioussam*
%{_libdir}/serioussam*
%{_mandir}/man6/serioussam*
%{_datadir}/metainfo/io.github.tx00100xt.serioussam-vk.appdata.xml
%{_datadir}/applications/io.github.tx00100xt.serioussam*
%{_datadir}/icons/hicolor/*

%post
update-desktop-database

%postun
update-desktop-database

%changelog
* Fri Mar 29 2024 Alexander Pavlov <t.x00100x.t@yandex.ru> 1.10.6d
- Initial packaging.
